PHP Manual
Prev |  | Next

# PDOStatement->getAttribute()

(no version information, might be only in CVS)

PDOStatement->getAttribute() -- Retrieve a statement attribute

## Description

class PDOStatement {
mixed getAttribute ( int attribute )
}

Gets an attribute of the statement. Currently, no generic attributes exist but only driver specific:

- `PDO::ATTR_CURSOR_NAME` (Firebird and ODBC specific): Get the name of cursor for `UPDATE ... WHERE CURRENT OF`.

## Return Values

Returns the attribute value.

## See Also

PDO->getAttribute()
PDO->setAttribute()
PDOStatement->setAttribute()

Prev | Home | Next
PDOStatement->fetchObject() | Up | PDOStatement->getColumnMeta()